function plotquiver3Ds(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  v={@(x,y,z) cos(x+z).*sin(y),@(x,y,z) sin(x).*cos(z+y),@(x,y,z) sin(z).*cos(x+y)};
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh3Ds(2);
  V2=fc_meshtools.eval(v,q2);
  u2=sqrt(V2{1}.^2+V2{2}.^2+V2{3}.^2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh3Ds(1);
  V1=fc_meshtools.eval(v,q1);
  u1=sqrt(V1{1}.^2+V1{2}.^2+V1{3}.^2);
  figure(1)
  fc_graphics4mesh.plotmesh(q1,me1,'color','LightGray')
  hold on
  fc_graphics4mesh.plotquiver(q2,me2,V2)
  axis image;axis off
  figure(2)
  fc_graphics4mesh.plotmesh(q1,me1,'color','LightGray')
  hold on
  fc_graphics4mesh.plotquiver(q1,me1,V1,'LineWidth',2)
  axis image;axis off 
  figure(3)
  colormap('jet')
  fc_graphics4mesh.plotmesh(q1,me1,'color','LightGray')
  hold on
  fc_graphics4mesh.plotquiver(q2,me2,V2,'colordata',u2)
  axis image;axis off
  colorbar
  figure(4)
  colormap('jet')
  fc_graphics4mesh.plotmesh(q1,me1,'color','LightGray')
  hold on
  fc_graphics4mesh.plotquiver(q1,me1,V1,'LineWidth',2,'colordata',u1, 'scale',0.2)
  axis image;axis off
  colorbar  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
