fprintf('--------------- %s\n',mfilename())
fprintf('2D meshing: mesh and partitioned mesh using ''MshFileVersion''=''4.1''\n')
fprintf('---------------\n')
geofile='condenser.geo';
np=5; % number of partitions
fprintf('1. Building a mesh file by using :\n')
fprintf('   -> gmsh version %s\n',fc_oogmsh.gmsh.version())
fprintf('   -> geo file : %s\n',geofile);
meshfile=fc_oogmsh.gmsh.buildmesh(geofile,20,'verbose',2,'force',true,'MshFileVersion','4.1');
fprintf('   -> msh file : %s\n',fc_oogmsh.pathrep(meshfile));
fprintf('2. Reading the mesh file\n')
Gh=fc_oogmsh.ooGmsh4(meshfile)
fprintf('3. Building partitioned mesh file\n')
fprintf('   -> number of partitions : %d\n',np);
pmfile=fc_oogmsh.gmsh.buildpartmesh(meshfile,np,'verbose',2,'force',true,'MshFileVersion','4.1');
fprintf('   -> partitioned msh file : %s\n',fc_oogmsh.pathrep(pmfile));
fprintf('4. Reading the partitioned mesh file\n')
pGh=fc_oogmsh.ooGmsh4(pmfile)

if fc_oogmsh.isgraphics()
  Gh.plotPhysicalElements()
  Gh.plotElementaryElements()
end
