function varargout=eval2D01(varargin)
  % fc_simesh.demos.eval2D01()
  % fc_simesh.demos.eval2D01('geofile','condenser','N',10,'verbose',2,'MshFileVersion','4.0','force',true)
  fprintf('************************************\n')
  fprintf('  Running %s function\n',mfilename())
  fprintf('************************************\n')
  [Th,verbose]=fc_simesh.demos.setMesh2D(varargin{:});
  
  data1=@(x,y) 2;
  data2=2;
  data3=2*ones(Th.nq,1);
  data4=2*ones(1,Th.nq);
    
  if verbose,fprintf('*** Evaluating datas on mesh\n');end
  z1=Th.eval(data1);
  z2=Th.eval(data2);
  z3=Th.eval(data3);
  z4=Th.eval(data4);
  
  if verbose,fprintf('*** Check results\n');end
  res=0;
  res=res+ ~( (size(z1,1)==Th.nq) && (size(z2,1)==Th.nq) && (size(z3,1)==Th.nq) && (size(z4,1)==Th.nq) );
  if verbose, if (res==1),    fprintf('  Test 1: failed with dimensions\n');else fprintf('  Test 1: OK\n');end;end
  E=max(abs(z2-z1));
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 2: failed with E=%g\n',E);else fprintf('  Test 2: OK\n');end;end
  E=max(abs(z3-z1));
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 3: failed with E=%g\n',E);else fprintf('  Test 3: OK\n');end;end
  res=0;
  E=sum(size(z1)~=size(z2)); % return 0 if same size
  res=res+(E >1e-15);
  if verbose, if (E >1e-15),fprintf('  Test 4: failed with size(z1)=[%s] and size(z2)=[%s]\n',num2str(size(z1)),num2str(size(z2)));else fprintf('  Test 4: OK\n');end;end
  if E==0
    E=max(abs(z4-z1));
    res=res+(E >1e-15);
    if verbose, if (E >1e-15),fprintf('  Test 5: failed with E=%g\n',E);else fprintf('  Test 5: OK\n');end;end
  end
  if res>0,error('demo % failed',mfilename()');end
  if nargout==1,varargout{1}=Th;end
end
