// For GMSH >= 4.0.0
DefineConstant[
  N = {50, Name "Input/1Refine "}
];

SetFactory("OpenCASCADE");

Mesh.CharacteristicLengthMin = 10/N;
Mesh.CharacteristicLengthMax = 10/N;

Circle(1) = {0, 0, 0, 1, 0, 2*Pi};  
Circle(2) = {-0.5, 0.2, 0, 0.2, 0, 2*Pi};
Circle(3) = {+0.5, 0.2, 0, 0.2, 0, 2*Pi};
Ellipse(4) = {0, -0.5, 0, 0.4, 0.15, 0, 2*Pi};
Ellipse(5) = {0, 0, 0, 0.2, 0.1, 0, 2*Pi};

Rotate {{0, 0, 1}, {0, 0, 0}, Pi/2} {
  Curve{5}; 
}

Curve Loop(1) = {1};
Curve Loop(2) = {2};
Curve Loop(3) = {5};
Curve Loop(4) = {3};
Curve Loop(5) = {4};

Plane Surface(1) = {1, 2, 3, 4, 5};

Physical Curve(1) = {1}; // face
Physical Curve(10) = {2, 3}; // eyes
Physical Curve(20) = {5};  // nose

Physical Curve(30) = {4}; // mouth

Physical Surface(1) = {1};
